Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.component.impl.aamanager.service
Class ServiceManagerImpl

    java.lang.Object
      tle.framework.component.impl.aamanager.service.ServiceManagerImpl

All Implemented Interfaces:
  ServiceManager

public class ServiceManagerImpl
extends java.lang.Object
implements ServiceManager

ServiceManager의 구현체.

Since:
  2.0
Author:
  최범균

Constructor Summary
`ServiceManagerImpl()`

Method Summary
`Service` | `getService(RequestInfo ri)` 요청 정보의 명령어 ID에 해당하는 Service를 구한다.
`boolean` | `hasGrant(Role role, Service service)` service를 지정한 역할이 사용가능한 경우 true를 리턴한다.
`void` | `init(ComponentConfig config)` 컴포넌트의 "ServiceManagerImpl.configFile" 초기화 파라미터로부터 서비스 그룹 및 서비스 목록 정보를 저장한 설정 파일의 경로를 구한다.
`void` | `reloadConfiguration(ComponentConfig config)` 설정 정보를 다시 읽어온다.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceManagerImpl

    public ServiceManagerImpl()

Method Detail

### init

    public void init(ComponentConfig config)
              throws AAManagerException

  컴포넌트의 "ServiceManagerImpl.configFile" 초기화 파라미터로부터 서비스 그룹 및 서비스 목록 정보를 저장한 설정 파일의 경로를 구한다.

  Specified by:
    `init` in interface `ServiceManager`
  Parameters:
    `config` - 컴포넌트 초기화 정보
  Throws:
    `AAManagerException`
  See Also:
    `ServiceManager.init(tle.framework.component.ComponentConfig)`

### reloadConfiguration

    public void reloadConfiguration(ComponentConfig config)
                             throws AAManagerException

  설정 정보를 다시 읽어온다.

  Specified by:
    `reloadConfiguration` in interface `ServiceManager`
  Parameters:
    `config` - 컴포넌트 초기화 정보
  Throws:
    `AAManagerException`

### getService

    public Service getService(RequestInfo ri)

  요청 정보의 명령어 ID에 해당하는 Service를 구한다. 처리 순서는 다음과 같다.
  1. serviceMap에 명령어 ID에 해당하는 Service가 존재할 경우 해당 Service를 리턴한다.
  2. 위의 조건에 해당하는 Service가 존재하지 않을 경우,
     1. 이 명령어 ID를 위한 그룹체인이 존재할 경우 그룹체인을 리턴한다.
  3. 아무것도 존재하지 않을 경우 NullService를 리턴한다.

  Specified by:
    `getService` in interface `ServiceManager`
  Parameters:
    `ri` - 요청 정보
  Returns:
    Service
  See Also:
    `ServiceManager.getService(tle.framework.component.spi.ra.RequestInfo)`

### hasGrant

    public boolean hasGrant(Role role,
                            Service service)

  service를 지정한 역할이 사용가능한 경우 true를 리턴한다. service가 NullService의 인스턴스인 경우 true를 리턴한다.

  Specified by:
    `hasGrant` in interface `ServiceManager`
  Parameters:
    `role` - 역할
    `service` - 서비스
  Returns:
    서비스 사용 가능한 경우 true
  See Also:
    `ServiceManager.hasGrant(tle.framework.component.spi.aamanager.Role, tle.framework.component.spi.aamanager.Service)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD